Mailinglist Archive: opensuse-updates (68 mails)

< Previous Next >
openSUSE-SU-2014:0558-1: moderate: update for json-c
openSUSE Security Update: update for json-c
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:0558-1
Rating: moderate
References: #870147
Cross-References: CVE-2013-6370 CVE-2013-6371
Affected Products:
openSUSE 13.1
openSUSE 12.3
______________________________________________________________________________

An update that fixes two vulnerabilities is now available.

Description:

This json-c update fixes the following two security issue:

- bnc#870147: Fixed buffer overflow if size_t is larger
than int (CVE-2013-6370).
- bnc#870147: Fixed possible hash collision DoS
(CVE-2013-6371).


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.1:

zypper in -t patch openSUSE-2014-317

- openSUSE 12.3:

zypper in -t patch openSUSE-2014-317

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.1 (i586 x86_64):

json-c-debugsource-0.10-3.4.1
libjson-devel-0.10-3.4.1
libjson0-0.10-3.4.1
libjson0-debuginfo-0.10-3.4.1

- openSUSE 13.1 (x86_64):

libjson0-32bit-0.10-3.4.1
libjson0-debuginfo-32bit-0.10-3.4.1

- openSUSE 13.1 (noarch):

libjson-doc-0.10-3.4.1

- openSUSE 12.3 (i586 x86_64):

json-c-debugsource-0.9-13.4.1
libjson-devel-0.9-13.4.1
libjson0-0.9-13.4.1
libjson0-debuginfo-0.9-13.4.1

- openSUSE 12.3 (x86_64):

libjson0-32bit-0.9-13.4.1
libjson0-debuginfo-32bit-0.9-13.4.1

- openSUSE 12.3 (noarch):

libjson-doc-0.9-13.4.1


References:

http://support.novell.com/security/cve/CVE-2013-6370.html
http://support.novell.com/security/cve/CVE-2013-6371.html
https://bugzilla.novell.com/870147


< Previous Next >
This Thread
  • No further messages